@charset "utf-8";

.post-container--inst * { margin: 0px; padding: 0px; box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif; }

.post-container--inst { display: flex; flex-direction: column; width: 100%; background-color: rgb(255, 255, 255); border: 1px solid rgb(221, 221, 221); border-radius: 8px; overflow: hidden; box-shadow: rgba(0, 0, 0, 0.1) 0px 2px 5px; }

.post-header--inst { display: flex; align-items: center; padding-bottom: 10px; border-bottom: unset; margin-bottom: unset; }

.post-container--inst img { margin: 0px; }

.post-container--inst .confirm { margin-top: 2px; margin-left: 5px; }

.post-header--inst img { width: 32px; height: 32px; border-radius: 50%; margin-right: 12px; }

.user-name-wrapper { display: inline-flex; align-items: center; white-space: nowrap; }

.user-name--inst { font-weight: 600; font-size: 14px; }

.post-content--inst { overflow: unset; padding: 16px; width: 100%; }

.actions-container { order: unset; display: flex; flex-direction: column; line-height: 1.2px; }

.post-actions--inst { display: flex; justify-content: space-between; align-items: center; }

.post-actions-left--inst *, .action__btn--inst * { color: rgb(0, 0, 0); width: 20px; }

.post-actions-left--inst { display: flex; gap: 16px; }

.post-actions--inst button { background: none; border: none; cursor: pointer; font-size: 16px; display: flex; align-items: center; }

.post-actions--inst img { width: 24px; height: 24px; }

.action__btn--inst { display: flex; gap: 5px; }

.post-container--inst .action__counter--inst { margin: 0px; font-weight: 600; font-size: 14px; }

.post-likes--inst { font-weight: bold; margin-bottom: 8px; }

.post-description--inst { margin-top: 4px; margin-bottom: 8px; line-height: 1; }

.post-description--inst span { font-weight: 600; }

.post-date--inst { color: rgb(115, 115, 115); font-size: 12px; }

.post-comments--inst { display: none; flex-direction: column; gap: 15px; font-size: 14px; }

.comment--inst { display: flex; gap: 5px; align-items: center; }

.comment__img-container--inst { align-self: flex-start; width: 32px; margin-right: 7px; flex-shrink: 0; }

.comment-img--inst { width: 32px; height: 32px; border-radius: 50%; }

.comment__main--inst { display: flex; flex-direction: column; gap: 5px; }

.comment-header--inst { display: inline-flex; gap: 5px; flex-flow: column wrap; align-items: flex-start; max-width: 100%; }

.comment-name--inst { font-weight: 600; line-height: 1.2; }

.comment-actions--inst { display: flex; gap: 10px; }

.comment-actions--inst span { font-size: 12px; color: rgb(115, 115, 115); }

.comment-like--inst, .comment-reply--inst { font-weight: 600; }

.post-container--inst .comment-text--inst { margin: 0px; font-size: 14px; line-height: 1.2; word-break: break-word; }

.like-span--inst { margin-left: auto; }

.like-comment { width: 16px !important; height: 16px !important; }

.img-container--desktop--inst { display: none; background-color: rgb(0, 0, 0); max-width: 50%; }

.slider__btn--inst svg { filter: drop-shadow(rgba(0, 0, 0, 0.3) 0px 0px 4px); }

.img-container--mobile--inst { margin-bottom: 10px; }

.img-container--mobile--inst .slider__btn--inst--prev { left: 30px; }

.img-container--mobile--inst .slider__btn--inst--next { right: 30px; }

.img-container--mobile--inst .slider--inst { background-color: rgba(0, 0, 0, 0.05); }

.slider--inst { position: relative; overflow: hidden; width: 100%; }

.slider__track--inst { display: flex; transition: transform 0.3s; will-change: transform; }

.slider__slide--inst { display: flex; align-items: center; flex: 0 0 100%; width: 100%; align-self: center; }

.slider__slide--inst img { width: 100%; max-height: 600px; object-fit: contain; }

.slider__btn--inst { position: absolute; top: 50%; transform: translateY(-50%); background: none; border: none; cursor: pointer; z-index: 20; }

.slider__icon { width: 32px; height: 32px; display: block; color: rgb(225, 217, 205); }

.slider__btn--inst--prev, .slider__btn--inst--next { z-index: 20; }

.slider__btn--inst--prev { left: 5px; }

.slider__btn--inst--next { right: 5px; }

.slider__btn--inst--prev .slider__icon circle, .slider__btn--inst--next .slider__icon circle { fill: rgb(255, 255, 255); }

.slider__dots--inst { position: absolute; transform: translateX(-50%); display: flex; gap: 6px; align-items: center; justify-content: center; z-index: 999; bottom: 10px !important; left: 50% !important; }

.slider__dot--inst { width: 6px; height: 6px; border-radius: 50%; background: rgb(255, 255, 255); opacity: 0.5; transition: 0.2s; border: none; padding: 0px; }

.slider__dot--inst--active { transform: scale(1.2); opacity: 1; }

.slider__counter--inst { display: none; position: absolute; background: rgba(0, 0, 0, 0.4); color: rgb(255, 255, 255); font-size: 10px; padding: 3px 6px; border-radius: 12px; z-index: 30; user-select: none; }

#slider1 .slider__counter--inst { top: 12px; right: 36px; }

#slider2 .slider__counter--inst { top: 0px; right: 30px; }

@media (max-width: 999px) {
  .post-container--inst .comment-text--inst, .post-container--inst .post-comments--inst, .post-container--inst .user-name--inst, .post-container--inst .post-description__text--inst { font-size: 14px; }
}

@media (max-width: 600px) {
  .post-container--inst { border-radius: 0px; }
  .img-container--mobile--inst > .post-image--inst { width: 100vw; margin-left: calc(50% - 50vw); }
  .slider__slide--inst img { height: 100%; }
}

@media (min-width: 768px) {
  .post-container--inst { max-height: 600px; flex-direction: row; max-width: 900px; }
  .post-header--inst { border-bottom: 1px solid rgb(221, 221, 221); margin-bottom: 10px; }
  .post-content--inst { display: flex; flex-direction: column; overflow: auto; }
  .img-container--desktop--inst, .post-comments--inst { display: flex; }
  .img-container--mobile--inst, .post-description--inst, .post-date--inst { display: none; }
  .actions-container .post-date--inst { display: initial; }
  .post-comments--inst { margin-bottom: 20px; }
  .actions-container { order: 2; padding-top: 15px; border-top: 1px solid rgb(221, 221, 221); margin-bottom: unset; }
  .slider__counter--inst { font-size: 14px; padding: 4px 6px; }
  .confirm { margin-left: 5px; }
  .post-actions-left--inst *, .action__btn--inst * { width: 20px; }
  .action__counter--inst { font-size: 14px; }
}

@media (max-width: 768px) {
  .actions-container .post-date--inst { display: none; }
}

.widget__cite { display: inline-block; font-style: italic; padding: 5px 0px 5px 20px; font-size: 16px; line-height: 24px; color: rgb(102, 102, 102); margin-bottom: 16px; }
